import type { Message, MessageSigner } from "@canvas-js/interfaces";
export declare class Ed25519Signer<T = unknown> implements MessageSigner<T> {
    #private;
    readonly publicKey: Uint8Array;
    constructor(privateKey?: Uint8Array);
    sign(message: Message<T>): import("@canvas-js/interfaces").Signature;
}
